summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2010-01-09 15:38:00 +0100
committerMarc Kleine-Budde <mkl@pengutronix.de>2010-01-10 02:18:26 +0100
commit6eb09c4e84b06d07818c020a80d8dccf4a28692c (patch)
tree2493518650eefb2d92e7a1213cdfeb9421f19e7e /scripts
parentb13268902bd7e8b49feb0a13be554bc9ca741f18 (diff)
downloadptxdist-6eb09c4e84b06d07818c020a80d8dccf4a28692c.tar.gz
ptxdist-6eb09c4e84b06d07818c020a80d8dccf4a28692c.tar.xz
[ptxd_make_world_common] activate binconfig_glob
This patch activates the binconfig_glob mechanism as described in commit 61211865e20efac9042ad89a9a5c28e4bc0d3100. Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/lib/ptxd_make_world_install.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/lib/ptxd_make_world_install.sh b/scripts/lib/ptxd_make_world_install.sh
index d8972c194..a88fb9729 100644
--- a/scripts/lib/ptxd_make_world_install.sh
+++ b/scripts/lib/ptxd_make_world_install.sh
@@ -65,6 +65,12 @@ ptxd_make_world_install_target() {
check_pipe_status &&
cp -dprf -- "${pkg_pkg_dir}"/* "${pkg_sysroot_dir}"
+
+ # copy *-config into sysroot_cross
+ local config
+ for config in $(find "${pkg_pkg_dir}" -name "${pkg_binconfig_glob}"); do
+ cp -PR -- "${config}" "${PTXDIST_SYSROOT_CROSS}/bin" || return
+ done
}
export -f ptxd_make_world_install_target